%THIS PROGRAM SEARCH FOR THE DETERMINACY REGION 
%IN CALVO MODEL WITH INVESTMENT AND INTREST RATE SMOOTHING RULES
%STAGGERED PRICE W/WN CAPITAL ADJUSTMENT COST
%MATRIX IS 5X5 WITH 3 JUMP VARIABLES AND 2 PREDETERMINED VARIABLE

%Writen by JP Xue
%November 24, 2008
%Revised April 9, 2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
A11=zeros(5,5);
B11=zeros(5,5);

A12=zeros(5,5);
B12=zeros(5,5);

A13=zeros(5,5);
B13=zeros(5,5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
A21=zeros(5,5);
B21=zeros(5,5);

A22=zeros(5,5);
B22=zeros(5,5);

A23=zeros(5,5);
B23=zeros(5,5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
A31=zeros(5,5);
B31=zeros(5,5);

A32=zeros(5,5);
B32=zeros(5,5);

A33=zeros(5,5);
B33=zeros(5,5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
A41=zeros(5,5);
B41=zeros(5,5);

A42=zeros(5,5);
B42=zeros(5,5);

A43=zeros(5,5);
B43=zeros(5,5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
A51=zeros(5,5);
B51=zeros(5,5);

A52=zeros(5,5);
B52=zeros(5,5);

A53=zeros(5,5);
B53=zeros(5,5);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
alpha=0.33;%share of capital in production
%thetap=0.33;%frequency of price adjustment varies from 0.33 to 0.57 to 0.75%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
rho=0.99;%quarterly discount rate
sigma=2;%relative risk aversion in consumption
delta=0.02;%steady state capital depreciation rate
deltatilde=1-rho*(1-delta);
eta=1;%inverse of labor supply elasticity
epsilonq=0;%elasticity of capital adjustment cost
epsilon=10;%elasticity of substitution between goods
thetap=0.57;%degree of stickiness of Calvo
gamma=30.424;%degree of stickiness of Rotemberg
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%lambdacalvo=(1-thetap)*(1-beta*thetap)/thetap/(1+epsilon*(1-theta)/theta);
%lamadarot=(epsilon-1)/gamma;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%epsilonq=3;%elasticity of the investment to capital ratio to Tobin's q is 0 or 3%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*ck;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Ty=21;
Tpi=501;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=0.67, phi=0.1, Rotemberg model
theta=0.67;
phi=0.1;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L11(ty)=1;
    U11(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
             A11(1,1)=gammac;
             A11(1,2)=gammak;
             A11(1,3)=gamman;
             B11(1,1)=-sigma;
             B11(1,2)=-epsilonq;
             A11(2,2)=1;
             B11(2,1)=-ck;
             B11(2,2)=alpha*theta*(delta+ck)+1-delta;
             B11(2,3)=(1-alpha)*theta*(delta+ck);
             A11(3,4)=rho;
             B11(3,1)=-lambdacalvo*sigma;
             B11(3,2)=alpha*theta*lambdacalvo;
             B11(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B11(3,4)=1;
             A11(4,1)=sigma;
             A11(4,4)=1;
             A11(4,5)=-1;
             B11(4,1)=sigma;
             B11(5,2)=alpha*theta*tauy;
             B11(5,3)=(1-alpha)*theta*tauy;
             A11(5,4)=-taupi;
             A11(5,5)=1;
             B11(5,5)=phi;             
             M11=inv(A11)*B11;
             [P11,MU11]=eig(M11);
             E11=sort(abs(diag(MU11)));
                 if sum(E11<1)==2 & sum(E11>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L11(ty);
                    L11(ty)=minhelp;
                 end;
                 if maxhelp>=U11(ty);
                    U11(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1, phi=0.1
theta=1;
phi=0.1;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L12(ty)=1;
    U12(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
             A12(1,1)=gammac;
             A12(1,2)=gammak;
             A12(1,3)=gamman;
             B12(1,1)=-sigma;
             B12(1,2)=-epsilonq;
             A12(2,2)=1;
             B12(2,1)=-ck;
             B12(2,2)=alpha*theta*(delta+ck)+1-delta;
             B12(2,3)=(1-alpha)*theta*(delta+ck);
             A12(3,4)=rho;
             B12(3,1)=-lambdacalvo*sigma;
             B12(3,2)=alpha*theta*lambdacalvo;
             B12(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B12(3,4)=1;
             A12(4,1)=sigma;
             A12(4,4)=1;
             A12(4,5)=-1;
             B12(4,1)=sigma;
             B12(5,2)=alpha*theta*tauy;
             B12(5,3)=(1-alpha)*theta*tauy;
             A12(5,4)=-taupi;
             A12(5,5)=1;
             B12(5,5)=phi;             
             M12=inv(A12)*B12;
             [P12,MU12]=eig(M12);
             E12=sort(abs(diag(MU12)));
                 if sum(E12<1)==2 & sum(E12>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L12(ty);
                    L12(ty)=minhelp;
                 end;
                 if maxhelp>=U12(ty);
                    U12(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1.1, phi=0.1
theta=1.1;
phi=0.1;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L13(ty)=1;
    U13(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
             A13(1,1)=gammac;
             A13(1,2)=gammak;
             A13(1,3)=gamman;
             B13(1,1)=-sigma;
             B13(1,2)=-epsilonq;
             A13(2,2)=1;
             B13(2,1)=-ck;
             B13(2,2)=alpha*theta*(delta+ck)+1-delta;
             B13(2,3)=(1-alpha)*theta*(delta+ck);
             A13(3,4)=rho;
             B13(3,1)=-lambdacalvo*sigma;
             B13(3,2)=alpha*theta*lambdacalvo;
             B13(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B13(3,4)=1;
             A13(4,1)=sigma;
             A13(4,4)=1;
             A13(4,5)=-1;
             B13(4,1)=sigma;
             B13(5,2)=alpha*theta*tauy;
             B13(5,3)=(1-alpha)*theta*tauy;
             A13(5,4)=-taupi;
             A13(5,5)=1;
             B13(5,5)=phi;             
             M13=inv(A13)*B13;
             [P13,MU13]=eig(M13);
             E13=sort(abs(diag(MU13)));
                 if sum(E13<1)==2 & sum(E13>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L13(ty);
                    L13(ty)=minhelp;
                 end;
                 if maxhelp>=U13(ty);
                    U13(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=0.67, phi=0.3
theta=0.67;
phi=0.3;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L21(ty)=1;
    U21(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A21(1,1)=gammac;
             A21(1,2)=gammak;
             A21(1,3)=gamman;
             B21(1,1)=-sigma;
             B21(1,2)=-epsilonq;
             A21(2,2)=1;
             B21(2,1)=-ck;
             B21(2,2)=alpha*theta*(delta+ck)+1-delta;
             B21(2,3)=(1-alpha)*theta*(delta+ck);
             A21(3,4)=rho;
             B21(3,1)=-lambdacalvo*sigma;
             B21(3,2)=alpha*theta*lambdacalvo;
             B21(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B21(3,4)=1;
             A21(4,1)=sigma;
             A21(4,4)=1;
             A21(4,5)=-1;
             B21(4,1)=sigma;
             B21(5,2)=alpha*theta*tauy;
             B21(5,3)=(1-alpha)*theta*tauy;
             A21(5,4)=-taupi;
             A21(5,5)=1;
             B21(5,5)=phi;             
             M21=inv(A21)*B21;
             [P21,MU21]=eig(M21);
             E21=sort(abs(diag(MU21)));
                 if sum(E21<1)==2 & sum(E21>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L21(ty);
                    L21(ty)=minhelp;
                 end;
                 if maxhelp>=U21(ty);
                    U21(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1, phi=0.3
theta=1;
phi=0.3;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L22(ty)=1;
    U22(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A22(1,1)=gammac;
             A22(1,2)=gammak;
             A22(1,3)=gamman;
             B22(1,1)=-sigma;
             B22(1,2)=-epsilonq;
             A22(2,2)=1;
             B22(2,1)=-ck;
             B22(2,2)=alpha*theta*(delta+ck)+1-delta;
             B22(2,3)=(1-alpha)*theta*(delta+ck);
             A22(3,4)=rho;
             B22(3,1)=-lambdacalvo*sigma;
             B22(3,2)=alpha*theta*lambdacalvo;
             B22(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B22(3,4)=1;
             A22(4,1)=sigma;
             A22(4,4)=1;
             A22(4,5)=-1;
             B22(4,1)=sigma;
             B22(5,2)=alpha*theta*tauy;
             B22(5,3)=(1-alpha)*theta*tauy;
             A22(5,4)=-taupi;
             A22(5,5)=1;
             B22(5,5)=phi;             
             M22=inv(A22)*B22;
             [P22,MU22]=eig(M22);
             E22=sort(abs(diag(MU22)));
                 if sum(E22<1)==2 & sum(E22>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L22(ty);
                    L22(ty)=minhelp;
                 end;
                 if maxhelp>=U22(ty);
                    U22(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1.1, phi=0.3
theta=1.1;
phi=0.3;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L23(ty)=1;
    U23(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A23(1,1)=gammac;
             A23(1,2)=gammak;
             A23(1,3)=gamman;
             B23(1,1)=-sigma;
             B23(1,2)=-epsilonq;
             A23(2,2)=1;
             B23(2,1)=-ck;
             B23(2,2)=alpha*theta*(delta+ck)+1-delta;
             B23(2,3)=(1-alpha)*theta*(delta+ck);
             A23(3,4)=rho;
             B23(3,1)=-lambdacalvo*sigma;
             B23(3,2)=alpha*theta*lambdacalvo;
             B23(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B23(3,4)=1;
             A23(4,1)=sigma;
             A23(4,4)=1;
             A23(4,5)=-1;
             B23(4,1)=sigma;
             B23(5,2)=alpha*theta*tauy;
             B23(5,3)=(1-alpha)*theta*tauy;
             A23(5,4)=-taupi;
             A23(5,5)=1;
             B23(5,5)=phi;             
             M23=inv(A23)*B23;
             [P23,MU23]=eig(M23);
             E23=sort(abs(diag(MU23)));
                 if sum(E23<1)==2 & sum(E23>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L23(ty);
                    L23(ty)=minhelp;
                 end;
                 if maxhelp>=U23(ty);
                    U23(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%theta=0.67, phi=0.5
theta=0.67;
phi=0.5;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L31(ty)=1;
    U31(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A31(1,1)=gammac;
             A31(1,2)=gammak;
             A31(1,3)=gamman;
             B31(1,1)=-sigma;
             B31(1,2)=-epsilonq;
             A31(2,2)=1;
             B31(2,1)=-ck;
             B31(2,2)=alpha*theta*(delta+ck)+1-delta;
             B31(2,3)=(1-alpha)*theta*(delta+ck);
             A31(3,4)=rho;
             B31(3,1)=-lambdacalvo*sigma;
             B31(3,2)=alpha*theta*lambdacalvo;
             B31(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B31(3,4)=1;
             A31(4,1)=sigma;
             A31(4,4)=1;
             A31(4,5)=-1;
             B31(4,1)=sigma;
             B31(5,2)=alpha*theta*tauy;
             B31(5,3)=(1-alpha)*theta*tauy;
             A31(5,4)=-taupi;
             A31(5,5)=1;
             B31(5,5)=phi;             
             M31=inv(A31)*B31;
             [P31,MU31]=eig(M31);
             E31=sort(abs(diag(MU31)));
                 if sum(E31<1)==2 & sum(E31>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L31(ty);
                    L31(ty)=minhelp;
                 end;
                 if maxhelp>=U31(ty);
                    U31(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1, phi=0.5
theta=1;
phi=0.5;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L32(ty)=1;
    U32(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A32(1,1)=gammac;
             A32(1,2)=gammak;
             A32(1,3)=gamman;
             B32(1,1)=-sigma;
             B32(1,2)=-epsilonq;
             A32(2,2)=1;
             B32(2,1)=-ck;
             B32(2,2)=alpha*theta*(delta+ck)+1-delta;
             B32(2,3)=(1-alpha)*theta*(delta+ck);
             A32(3,4)=rho;
             B32(3,1)=-lambdacalvo*sigma;
             B32(3,2)=alpha*theta*lambdacalvo;
             B32(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B32(3,4)=1;
             A32(4,1)=sigma;
             A32(4,4)=1;
             A32(4,5)=-1;
             B32(4,1)=sigma;
             B32(5,2)=alpha*theta*tauy;
             B32(5,3)=(1-alpha)*theta*tauy;
             A32(5,4)=-taupi;
             A32(5,5)=1;
             B32(5,5)=phi;             
             M32=inv(A32)*B32;
             [P32,MU32]=eig(M32);
             E32=sort(abs(diag(MU32)));
                 if sum(E32<1)==2 & sum(E32>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L32(ty);
                    L32(ty)=minhelp;
                 end;
                 if maxhelp>=U32(ty);
                    U32(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1.1, phi=0.5
theta=1.1;
phi=0.5;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L33(ty)=1;
    U33(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A33(1,1)=gammac;
             A33(1,2)=gammak;
             A33(1,3)=gamman;
             B33(1,1)=-sigma;
             B33(1,2)=-epsilonq;
             A33(2,2)=1;
             B33(2,1)=-ck;
             B33(2,2)=alpha*theta*(delta+ck)+1-delta;
             B33(2,3)=(1-alpha)*theta*(delta+ck);
             A33(3,4)=rho;
             B33(3,1)=-lambdacalvo*sigma;
             B33(3,2)=alpha*theta*lambdacalvo;
             B33(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B33(3,4)=1;
             A33(4,1)=sigma;
             A33(4,4)=1;
             A33(4,5)=-1;
             B33(4,1)=sigma;
             B33(5,2)=alpha*theta*tauy;
             B33(5,3)=(1-alpha)*theta*tauy;
             A33(5,4)=-taupi;
             A33(5,5)=1;
             B33(5,5)=phi;             
             M33=inv(A33)*B33;
             [P33,MU33]=eig(M33);
             E33=sort(abs(diag(MU33)));
                 if sum(E33<1)==2 & sum(E33>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L33(ty);
                    L33(ty)=minhelp;
                 end;
                 if maxhelp>=U33(ty);
                    U33(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=0.67, phi=0.7
theta=0.67;
phi=0.7;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L41(ty)=1;
    U41(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A41(1,1)=gammac;
             A41(1,2)=gammak;
             A41(1,3)=gamman;
             B41(1,1)=-sigma;
             B41(1,2)=-epsilonq;
             A41(2,2)=1;
             B41(2,1)=-ck;
             B41(2,2)=alpha*theta*(delta+ck)+1-delta;
             B41(2,3)=(1-alpha)*theta*(delta+ck);
             A41(3,4)=rho;
             B41(3,1)=-lambdacalvo*sigma;
             B41(3,2)=alpha*theta*lambdacalvo;
             B41(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B41(3,4)=1;
             A41(4,1)=sigma;
             A41(4,4)=1;
             A41(4,5)=-1;
             B41(4,1)=sigma;
             B41(5,2)=alpha*theta*tauy;
             B41(5,3)=(1-alpha)*theta*tauy;
             A41(5,4)=-taupi;
             A41(5,5)=1;
             B41(5,5)=phi;             
             M41=inv(A41)*B41;
             [P41,MU41]=eig(M41);
             E41=sort(abs(diag(MU41)));
                 if sum(E41<1)==2 & sum(E41>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L41(ty);
                    L41(ty)=minhelp;
                 end;
                 if maxhelp>=U41(ty);
                    U41(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1, phi=0.7
theta=1;
phi=0.7;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L42(ty)=1;
    U42(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A42(1,1)=gammac;
             A42(1,2)=gammak;
             A42(1,3)=gamman;
             B42(1,1)=-sigma;
             B42(1,2)=-epsilonq;
             A42(2,2)=1;
             B42(2,1)=-ck;
             B42(2,2)=alpha*theta*(delta+ck)+1-delta;
             B42(2,3)=(1-alpha)*theta*(delta+ck);
             A42(3,4)=rho;
             B42(3,1)=-lambdacalvo*sigma;
             B42(3,2)=alpha*theta*lambdacalvo;
             B42(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B42(3,4)=1;
             A42(4,1)=sigma;
             A42(4,4)=1;
             A42(4,5)=-1;
             B42(4,1)=sigma;
             B42(5,2)=alpha*theta*tauy;
             B42(5,3)=(1-alpha)*theta*tauy;
             A42(5,4)=-taupi;
             A42(5,5)=1;
             B42(5,5)=phi;             
             M42=inv(A42)*B42;
             [P42,MU42]=eig(M42);
             E42=sort(abs(diag(MU42)));
                 if sum(E42<1)==2 & sum(E42>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L42(ty);
                    L42(ty)=minhelp;
                 end;
                 if maxhelp>=U42(ty);
                    U42(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1.1, phi=0.7
theta=1.1;
phi=0.7;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L43(ty)=1;
    U43(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A43(1,1)=gammac;
             A43(1,2)=gammak;
             A43(1,3)=gamman;
             B43(1,1)=-sigma;
             B43(1,2)=-epsilonq;
             A43(2,2)=1;
             B43(2,1)=-ck;
             B43(2,2)=alpha*theta*(delta+ck)+1-delta;
             B43(2,3)=(1-alpha)*theta*(delta+ck);
             A43(3,4)=rho;
             B43(3,1)=-lambdacalvo*sigma;
             B43(3,2)=alpha*theta*lambdacalvo;
             B43(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B43(3,4)=1;
             A43(4,1)=sigma;
             A43(4,4)=1;
             A43(4,5)=-1;
             B43(4,1)=sigma;
             B43(5,2)=alpha*theta*tauy;
             B43(5,3)=(1-alpha)*theta*tauy;
             A43(5,4)=-taupi;
             A43(5,5)=1;
             B43(5,5)=phi;             
             M43=inv(A43)*B43;
             [P43,MU43]=eig(M43);
             E43=sort(abs(diag(MU43)));
                 if sum(E43<1)==2 & sum(E43>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L43(ty);
                    L43(ty)=minhelp;
                 end;
                 if maxhelp>=U43(ty);
                    U43(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=0.67, phi=0.9
theta=0.67;
phi=0.9;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L51(ty)=1;
    U51(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A51(1,1)=gammac;
             A51(1,2)=gammak;
             A51(1,3)=gamman;
             B51(1,1)=-sigma;
             B51(1,2)=-epsilonq;
             A51(2,2)=1;
             B51(2,1)=-ck;
             B51(2,2)=alpha*theta*(delta+ck)+1-delta;
             B51(2,3)=(1-alpha)*theta*(delta+ck);
             A51(3,4)=rho;
             B51(3,1)=-lambdacalvo*sigma;
             B51(3,2)=alpha*theta*lambdacalvo;
             B51(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B51(3,4)=1;
             A51(4,1)=sigma;
             A51(4,4)=1;
             A51(4,5)=-1;
             B51(4,1)=sigma;
             B51(5,2)=alpha*theta*tauy;
             B51(5,3)=(1-alpha)*theta*tauy;
             A51(5,4)=-taupi;
             A51(5,5)=1;
             B51(5,5)=phi;             
             M51=inv(A51)*B51;
             [P51,MU51]=eig(M51);
             E51=sort(abs(diag(MU51)));
                 if sum(E51<1)==2 & sum(E51>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L51(ty);
                    L51(ty)=minhelp;
                 end;
                 if maxhelp>=U51(ty);
                    U51(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1, phi=0.9
theta=1;
phi=0.9;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L52(ty)=1;
    U52(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A52(1,1)=gammac;
             A52(1,2)=gammak;
             A52(1,3)=gamman;
             B52(1,1)=-sigma;
             B52(1,2)=-epsilonq;
             A52(2,2)=1;
             B52(2,1)=-ck;
             B52(2,2)=alpha*theta*(delta+ck)+1-delta;
             B52(2,3)=(1-alpha)*theta*(delta+ck);
             A52(3,4)=rho;
             B52(3,1)=-lambdacalvo*sigma;
             B52(3,2)=alpha*theta*lambdacalvo;
             B52(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B52(3,4)=1;
             A52(4,1)=sigma;
             A52(4,4)=1;
             A52(4,5)=-1;
             B52(4,1)=sigma;
             B52(5,2)=alpha*theta*tauy;
             B52(5,3)=(1-alpha)*theta*tauy;
             A52(5,4)=-taupi;
             A52(5,5)=1;
             B52(5,5)=phi;             
             M52=inv(A52)*B52;
             [P52,MU52]=eig(M52);
             E52=sort(abs(diag(MU52)));
                 if sum(E52<1)==2 & sum(E52>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L52(ty);
                    L52(ty)=minhelp;
                 end;
                 if maxhelp>=U52(ty);
                    U52(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%theta=1.1, phi=0.9
theta=1.1;
phi=0.9;
for ty=1:Ty;
    ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
    lambdacalvo=(1-thetap)*(1-rho*thetap)/thetap/(1+epsilon*(1-theta)/theta);
    gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
    gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
    gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
    tauy=(ty-1)*0.05;
    L53(ty)=1;
    U53(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
              A53(1,1)=gammac;
             A53(1,2)=gammak;
             A53(1,3)=gamman;
             B53(1,1)=-sigma;
             B53(1,2)=-epsilonq;
             A53(2,2)=1;
             B53(2,1)=-ck;
             B53(2,2)=alpha*theta*(delta+ck)+1-delta;
             B53(2,3)=(1-alpha)*theta*(delta+ck);
             A53(3,4)=rho;
             B53(3,1)=-lambdacalvo*sigma;
             B53(3,2)=alpha*theta*lambdacalvo;
             B53(3,3)=-lambdacalvo*(1+eta-(1-alpha)*theta);
             B53(3,4)=1;
             A53(4,1)=sigma;
             A53(4,4)=1;
             A53(4,5)=-1;
             B53(4,1)=sigma;
             B53(5,2)=alpha*theta*tauy;
             B53(5,3)=(1-alpha)*theta*tauy;
             A53(5,4)=-taupi;
             A53(5,5)=1;
             B53(5,5)=phi;             
             M53=inv(A53)*B53;
             [P53,MU53]=eig(M53);
             E53=sort(abs(diag(MU53)));
                 if sum(E53<1)==2 & sum(E53>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L53(ty);
                    L53(ty)=minhelp;
                 end;
                 if maxhelp>=U53(ty);
                    U53(ty)=maxhelp;
                 end;
       end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ty=1:Ty;
omega=0.05*(ty-1);
subplot(5,3,1);
hold on
plot(omega,U11(ty),'-',omega,L11(ty),'--');
ylabel('\phi=0.1');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
title('\theta=0.67');

subplot(5,3,2);
hold on
plot(omega,U12(ty),'-',omega,L12(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
title('\theta=1');

subplot(5,3,3);
hold on
plot(omega,U13(ty),'-',omega,L13(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
title('\theta=1.1');

subplot(5,3,4);
hold on
plot(omega,U21(ty),'-',omega,L21(ty),'--');
ylabel('\phi=0.3');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,5);
hold on
plot(omega,U22(ty),'-',omega,L22(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,6);
hold on
plot(omega,U23(ty),'-',omega,L23(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,7);
hold on
plot(omega,U31(ty),'-',omega,L31(ty),'--');
ylabel('\phi=0.5');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,8);
hold on
plot(omega,U32(ty),'-',omega,L32(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,9);
hold on
plot(omega,U33(ty),'-',omega,L33(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,10);
hold on
plot(omega,U41(ty),'-',omega,L41(ty),'--');
ylabel('\phi=0.7');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,11);
hold on
plot(omega,U42(ty),'-',omega,L42(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,12);
hold on
plot(omega,U43(ty),'-',omega,L43(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,13);
hold on
plot(omega,U51(ty),'-',omega,L51(ty),'--');
ylabel('\phi=0.9');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,14);
hold on
plot(omega,U52(ty),'-',omega,L52(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,15);
hold on
plot(omega,U53(ty),'-',omega,L53(ty),'--');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
